%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:           python-configobj
Version:        4.4.0
Release:        1
Summary:        Config file reading, writing, and validation

Group:          System/Libraries
License:        BSD
URL:            http://www.voidspace.org.uk/python/configobj.html
Source0:        http://dl.sf.net/configobj/configobj-%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires: 	python-devel
BuildRequires: 	python-setuptools-devel

%description
ConfigObj is a simple but powerful config file reader and writer: an ini file
round tripper. Its main feature is that it is very easy to use, with a
straightforward programmer's interface and a simple syntax for config files. 
It has lots of other features though:
    * Nested sections (subsections), to any level
    * List values
    * Multiple line values
    * String interpolation (substitution)
    * Integrated with a powerful validation system
          o including automatic type checking/conversion
          o repeated sections
          o and allowing default values
    * All comments in the file are preserved
    * The order of keys/sections is preserved
    * No external dependencies
    * Full Unicode support
    * A powerful unrepr mode for storing basic datatypes


%prep
%setup -q -n configobj-%{version}


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/usr/lib/python2.5/site-packages/configobj-4.4.0-py2.5.egg-info


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc docs
%{python_sitelib}/*.py
%{python_sitelib}/*.pyc
%{python_sitelib}/*.pyo



%changelog
* Wed Oct 17 2007 Christian Metzen <metzench@ccux-linux.de> 4.4.0-1
- Initial release
